﻿<?xml version="1.0" encoding="utf-8" standalone="no" ?>
<vehicle type="Krampe">
	<annotation>Copyright (C) GIANTS Software GmbH, All Rights Reserved.</annotation>
    <name>
        <en>Krampe BBS 650</en>
        <de>Krampe BBS 650</de>
    </name>
	<typeDesc>$l10n_TypeDesc_Tipper</typeDesc>
    <filename>krampeBBS650.png</filename>

    <size width="3.5" length="10" lengthOffset="-0.5" />

    <wheels autoRotateBackSpeed="2.0">
        <wheel driveMode="0" repr="0" driveNode="0|0" radius="0.7" deltaY="0.27" suspTravel="0.35" spring="15" damper="20" mass="0.05" lateralStiffness="2" />
        <wheel driveMode="0" repr="1" driveNode="1|0" radius="0.7" deltaY="0.27" suspTravel="0.35" spring="15" damper="20" mass="0.05" lateralStiffness="2" />
        <wheel driveMode="0" repr="2" driveNode="2|0" radius="0.7" deltaY="0.27" suspTravel="0.35" spring="15" damper="20" mass="0.05" steeringAxleScale="-0.7" steeringAxleRotMax="25" steeringAxleRotMin="-25" lateralStiffness="2" />
        <wheel driveMode="0" repr="3" driveNode="3|0" radius="0.7" deltaY="0.27" suspTravel="0.35" spring="15" damper="20" mass="0.05" steeringAxleScale="-0.7" steeringAxleRotMax="25" steeringAxleRotMin="-25" lateralStiffness="2" />
    </wheels>
    <brakeForce>0.7</brakeForce>
    <steeringAxleAngleScale startSpeed="5" endSpeed="70" />
	<downForce>8</downForce>
    <capacity>24565</capacity>
	<massPerFillLevel value="0.00005" />

	<lightCoronas>
		<lightCorona index="0>8|9|8|0" />
	</lightCoronas>

	<brakeLights>
		<brakeLight index="0>8|9|8|1" />
	</brakeLights>

	<lightsaddon lightsStayOn="true">
	<light type="dirLeft" index="0>8|9|8|2" />
	<light type="dirRight" index="0>8|9|8|3" />
	<light type="parkLeft" index="0>8|9|8|4" />
	<light type="parkRight" index="0>8|9|8|5" />
	<light type="reverse" index="0>8|9|8|6" />
    </lightsaddon>

    <fillPlanes>
        <fillPlane type="wheat">
            <node index="0>7|0|6|0">
				<key time="0" y="0" scale="0.88 0 1"/>
                <key time="0.148" y="0" scale="1 0.148 1"/>
				<key time="0.9" y="0" scale="1 0.559 1"/>
                <key time="1" y="0" scale="1.021 0.659 1"/>
            </node>
			<node index="0>7|0|8">
				<key time="0" y="0.321" scale="1 0.1 1"/>
				<key time="0.9" y="0.321" scale="1 0.9 1"/>
                <key time="1" y="0.321" scale="1 0.1 1"/>
            </node>
        </fillPlane>
        <fillPlane type="oat">
            <node index="0>7|0|6|0">
				<key time="0" y="0" scale="0.88 0 1"/>
                <key time="0.148" y="0" scale="1 0.148 1"/>
				<key time="0.9" y="0" scale="1 0.559 1"/>
                <key time="1" y="0" scale="1.021 0.659 1"/>
            </node>
			<node index="0>7|0|8">
				<key time="0" y="0.321" scale="1 0.1 1"/>
				<key time="0.9" y="0.321" scale="1 0.9 1"/>
                <key time="1" y="0.321" scale="1 0.1 1"/>
            </node>
        </fillPlane>
        <fillPlane type="rye">
            <node index="0>7|0|6|0">
				<key time="0" y="0" scale="0.88 0 1"/>
                <key time="0.148" y="0" scale="1 0.148 1"/>
				<key time="0.9" y="0" scale="1 0.559 1"/>
                <key time="1" y="0" scale="1.021 0.659 1"/>
            </node>
			<node index="0>7|0|8">
				<key time="0" y="0.321" scale="1 0.1 1"/>
				<key time="0.9" y="0.321" scale="1 0.9 1"/>
                <key time="1" y="0.321" scale="1 0.1 1"/>
            </node>
        </fillPlane>
		<fillPlane type="rape">
            <node index="0>7|0|6|1">
				<key time="0" y="0" scale="0.88 0 1"/>
                <key time="0.148" y="0" scale="1 0.148 1"/>
                <key time="0.9" y="0" scale="1 0.5591"/>
                <key time="1" y="0" scale="1.021 0.659 1"/>
            </node>
			<node index="0>7|0|8">
				<key time="0" y="0.321" scale="1 0.1 1"/>
				<key time="0.9" y="0.321" scale="1 0.9 1"/>
                <key time="1" y="0.321" scale="1 0.1 1"/>
            </node>
        </fillPlane>
		<fillPlane type="sunflower">
            <node index="0>7|0|6|1">
				<key time="0" y="0" scale="0.88 0 1"/>
                <key time="0.148" y="0" scale="1 0.148 1"/>
                <key time="0.9" y="0" scale="1 0.559 1"/>
                <key time="1" y="0" scale="1.021 0.659 1"/>
            </node>
			<node index="0>7|0|8">
				<key time="0" y="0.321" scale="1 0.1 1"/>
				<key time="0.9" y="0.321" scale="1 0.9 1"/>
                <key time="1" y="0.321" scale="1 0.1 1"/>
            </node>
        </fillPlane>
		<fillPlane type="chaff">
            <node index="0>7|0|6|2">
				<key time="0" y="0" scale="0.88 0 1"/>
                <key time="0.148" y="0" scale="1 0.148 1"/>
                <key time="0.9" y="0" scale="1 0.559 1"/>
                <key time="1" y="0" scale="1.021 0.659 1"/>
            </node>
			<node index="0>7|0|8">
				<key time="0" y="0.321" scale="1 0.1 1"/>
				<key time="0.9" y="0.321" scale="1 0.9 1"/>
                <key time="1" y="0.321" scale="1 0.1 1"/>
            </node>
        </fillPlane>
		<fillPlane type="maize">
            <node index="0>7|0|6|3">
				<key time="0" y="0" scale="0.88 0 1"/>
                <key time="0.148" y="0" scale="1 0.148 1"/>
                <key time="0.9" y="0" scale="1 0.559 1"/>
                <key time="1" y="0" scale="1.021 0.659 1"/>
            </node>
			<node index="0>7|0|8">
				<key time="0" y="0.321" scale="1 0.1 1"/>
				<key time="0.9" y="0.321" scale="1 0.9 1"/>
                <key time="1" y="0.321" scale="1 0.1 1"/>
            </node>
        </fillPlane>
		<fillPlane type="potato">
            <node index="0>7|0|6|4">
				<key time="0" y="0" scale="0.88 0 1"/>
                <key time="0.148" y="0" scale="1 0.148 1"/>
                <key time="0.9" y="0" scale="1 0.559 1"/>
                <key time="1" y="0" scale="1.021 0.659 1"/>
            </node>
			<node index="0>7|0|8">
				<key time="0" y="0.321" scale="1 0.1 1"/>
				<key time="0.9" y="0.321" scale="1 0.9 1"/>
                <key time="1" y="0.321" scale="1 0.1 1"/>
            </node>
        </fillPlane>
		<fillPlane type="sugarBeet">
            <node index="0>7|0|6|5">
				<key time="0" y="0" scale="0.88 0 1"/>
                <key time="0.148" y="0" scale="1 0.148 1"/>
                <key time="0.9" y="0" scale="1 0.559 1"/>
                <key time="1" y="0" scale="1.021 0.659 1"/>
            </node>
			<node index="0>7|0|8">
				<key time="0" y="0.321" scale="1 0.1 1"/>
				<key time="0.9" y="0.321" scale="1 0.9 1"/>
                <key time="1" y="0.321" scale="1 0.1 1"/>
            </node>
        </fillPlane>
		<fillPlane type="wheat_windrow">
            <node index="0>7|0|6|6">
				<key time="0" y="0" scale="0.88 0 1"/>
                <key time="0.148" y="0" scale="1 0.148 1"/>
                <key time="0.9" y="0" scale="1 0.559 1"/>
                <key time="1" y="0" scale="1.021 0.659 1"/>
            </node>
			<node index="0>7|0|8">
				<key time="0" y="0.321" scale="1 0.1 1"/>
				<key time="0.9" y="0.321" scale="1 0.9 1"/>
                <key time="1" y="0.321" scale="1 0.1 1"/>
            </node>
        </fillPlane>
		<fillPlane type="barley_windrow">
            <node index="0>7|0|6|6">
				<key time="0" y="0" scale="0.88 0 1"/>
                <key time="0.148" y="0" scale="1 0.148 1"/>
                <key time="0.9" y="0" scale="1 0.559 1"/>
                <key time="1" y="0" scale="1.021 0.659 1"/>
            </node>
			<node index="0>7|0|8">
				<key time="0" y="0.321" scale="1 0.1 1"/>
				<key time="0.9" y="0.321" scale="1 0.9 1"/>
                <key time="1" y="0.321" scale="1 0.1 1"/>
            </node>
        </fillPlane>
		<fillPlane type="grass_windrow">
            <node index="0>7|0|6|7">
				<key time="0" y="0" scale="0.88 0 1"/>
                <key time="0.148" y="0" scale="1 0.148 1"/>
                <key time="0.9" y="0" scale="1 0.559 1"/>
                <key time="1" y="0" scale="1.021 0.659 1"/>
            </node>
			<node index="0>7|0|8">
				<key time="0" y="0.321" scale="1 0.1 1"/>
				<key time="0.9" y="0.321" scale="1 0.9 1"/>
                <key time="1" y="0.321" scale="1 0.1 1"/>
            </node>
        </fillPlane>
		<fillPlane type="dryGrass_windrow">
            <node index="0>7|0|6|7">
				<key time="0" y="0" scale="0.88 0 1"/>
                <key time="0.148" y="0" scale="1 0.148 1"/>
                <key time="0.9" y="0" scale="1 0.559 1"/>
                <key time="1" y="0" scale="1.021 0.659 1"/>
            </node>
			<node index="0>7|0|8">
				<key time="0" y="0.321" scale="1 0.1 1"/>
				<key time="0.9" y="0.321" scale="1 0.9 1"/>
                <key time="1" y="0.321" scale="1 0.1 1"/>
            </node>
        </fillPlane>
		<fillPlane type="forage">
            <node index="0>7|0|6|8">
				<key time="0" y="0" scale="0.88 0 1"/>
                <key time="0.148" y="0" scale="1 0.148 1"/>
                <key time="0.9" y="0" scale="1 0.559 1"/>
                <key time="1" y="0" scale="1.021 0.659 1"/>
            </node>
			<node index="0>7|0|8">
				<key time="0" y="0.321" scale="1 0.1 1"/>
				<key time="0.9" y="0.321" scale="1 0.9 1"/>
                <key time="1" y="0.321" scale="1 0.1 1"/>
            </node>
        </fillPlane>
		<fillPlane type="manure">
            <node index="0>7|0|6|9">
				<key time="0" y="0" scale="0.88 0 1"/>
                <key time="0.148" y="0" scale="1 0.148 1"/>
                <key time="0.9" y="0" scale="1 0.559 1"/>
                <key time="1" y="0" scale="1.021 0.659 1"/>
            </node>
			<node index="0>7|0|8">
				<key time="0" y="0.321" scale="1 0.1 1"/>
				<key time="0.9" y="0.321" scale="1 0.9 1"/>
                <key time="1" y="0.321" scale="1 0.1 1"/>
            </node>
        </fillPlane>
		<fillPlane type="silage">
            <node index="0>7|0|6|10">
				<key time="0" y="0" scale="0.88 0 1"/>
                <key time="0.148" y="0" scale="1 0.148 1"/>
                <key time="0.9" y="0" scale="1 0.559 1"/>
                <key time="1" y="0" scale="1.021 0.659 1"/>
            </node>
			<node index="0>7|0|8">
				<key time="0" y="0.321" scale="1 0.1 1"/>
				<key time="0.9" y="0.321" scale="1 0.9 1"/>
                <key time="1" y="0.321" scale="1 0.1 1"/>
            </node>
        </fillPlane>
    </fillPlanes>
	
	<!--Variable Body Anfang-->
	<variableBody activeIdx="1">
	<node name="Aufbau1" capacity="24565" fruitTypes="wheat rape maize barley chaff potato sugarBeet manure oat rye sunflower forage silage barley_windrow wheat_windrow grass_windrow dryGrass_windrow"/>
	<node name="Aufbau2" capacity="31300" fruitTypes="wheat rape maize barley chaff potato sugarBeet manure oat rye sunflower forage silage barley_windrow wheat_windrow grass_windrow dryGrass_windrow">
		<part index1="0>7|0|0" index2="0>7|0|2|0"/>
	<fillPlanes>
        <fillPlane type="wheat">
            <node index="0>7|0|6|0">
				<key time="0" y="0" scale="0.88 0 1"/>
                <key time="0.148" y="0" scale="1 0.148 1"/>
				<key time="0.9" y="0" scale="1 0.9 1"/>
                <key time="1" y="0" scale="1.021 1 1"/>
            </node>
			<node index="0>7|0|8">
				<key time="0" y="0.321" scale="1 0.1 1"/>
				<key time="0.9" y="0.321" scale="1 0.9 1"/>
                <key time="1" y="0.321" scale="1 0.1 1"/>
            </node>
        </fillPlane>
        <fillPlane type="oat">
            <node index="0>7|0|6|0">
				<key time="0" y="0" scale="0.88 0 1"/>
                <key time="0.148" y="0" scale="1 0.148 1"/>
				<key time="0.9" y="0" scale="1 0.9 1"/>
                <key time="1" y="0" scale="1.021 1 1"/>
            </node>
			<node index="0>7|0|8">
				<key time="0" y="0.321" scale="1 0.1 1"/>
				<key time="0.9" y="0.321" scale="1 0.9 1"/>
                <key time="1" y="0.321" scale="1 0.1 1"/>
            </node>
        </fillPlane>
        <fillPlane type="rye">
            <node index="0>7|0|6|0">
				<key time="0" y="0" scale="0.88 0 1"/>
                <key time="0.148" y="0" scale="1 0.148 1"/>
				<key time="0.9" y="0" scale="1 0.9 1"/>
                <key time="1" y="0" scale="1.021 1 1"/>
            </node>
			<node index="0>7|0|8">
				<key time="0" y="0.321" scale="1 0.1 1"/>
				<key time="0.9" y="0.321" scale="1 0.9 1"/>
                <key time="1" y="0.321" scale="1 0.1 1"/>
            </node>
        </fillPlane>
		<fillPlane type="rape">
            <node index="0>7|0|6|1">
				<key time="0" y="0" scale="0.88 0 1"/>
                <key time="0.148" y="0" scale="1 0.148 1"/>
				<key time="0.9" y="0" scale="1 0.9 1"/>
                <key time="1" y="0" scale="1.021 1 1"/>
            </node>
			<node index="0>7|0|8">
				<key time="0" y="0.321" scale="1 0.1 1"/>
				<key time="0.9" y="0.321" scale="1 0.9 1"/>
                <key time="1" y="0.321" scale="1 0.1 1"/>
            </node>
        </fillPlane>
		<fillPlane type="sunflower">
            <node index="0>7|0|6|1">
				<key time="0" y="0" scale="0.88 0 1"/>
                <key time="0.148" y="0" scale="1 0.148 1"/>
				<key time="0.9" y="0" scale="1 0.9 1"/>
                <key time="1" y="0" scale="1.021 1 1"/>
            </node>
			<node index="0>7|0|8">
				<key time="0" y="0.321" scale="1 0.1 1"/>
				<key time="0.9" y="0.321" scale="1 0.9 1"/>
                <key time="1" y="0.321" scale="1 0.1 1"/>
            </node>
        </fillPlane>
		<fillPlane type="chaff">
            <node index="0>7|0|6|2">
				<key time="0" y="0" scale="0.88 0 1"/>
                <key time="0.148" y="0" scale="1 0.148 1"/>
				<key time="0.9" y="0" scale="1 0.9 1"/>
                <key time="1" y="0" scale="1.021 1 1"/>
            </node>
			<node index="0>7|0|8">
				<key time="0" y="0.321" scale="1 0.1 1"/>
				<key time="0.9" y="0.321" scale="1 0.9 1"/>
                <key time="1" y="0.321" scale="1 0.1 1"/>
            </node>
        </fillPlane>
		<fillPlane type="maize">
            <node index="0>7|0|6|3">
				<key time="0" y="0" scale="0.88 0 1"/>
                <key time="0.148" y="0" scale="1 0.148 1"/>
				<key time="0.9" y="0" scale="1 0.9 1"/>
                <key time="1" y="0" scale="1.021 1 1"/>
            </node>
			<node index="0>7|0|8">
				<key time="0" y="0.321" scale="1 0.1 1"/>
				<key time="0.9" y="0.321" scale="1 0.9 1"/>
                <key time="1" y="0.321" scale="1 0.1 1"/>
            </node>
        </fillPlane>
		<fillPlane type="potato">
            <node index="0>7|0|6|4">
				<key time="0" y="0" scale="0.88 0 1"/>
                <key time="0.148" y="0" scale="1 0.148 1"/>
				<key time="0.9" y="0" scale="1 0.9 1"/>
                <key time="1" y="0" scale="1.021 1 1"/>
            </node>
			<node index="0>7|0|8">
				<key time="0" y="0.321" scale="1 0.1 1"/>
				<key time="0.9" y="0.321" scale="1 0.9 1"/>
                <key time="1" y="0.321" scale="1 1 1"/>
            </node>
        </fillPlane>
		<fillPlane type="sugarBeet">
            <node index="0>7|0|6|5">
				<key time="0" y="0" scale="0.88 0 1"/>
                <key time="0.148" y="0" scale="1 0.148 1"/>
				<key time="0.9" y="0" scale="1 0.9 1"/>
                <key time="1" y="0" scale="1.021 1 1"/>
            </node>
			<node index="0>7|0|8">
				<key time="0" y="0.321" scale="1 0.1 1"/>
				<key time="0.9" y="0.321" scale="1 0.9 1"/>
                <key time="1" y="0.321" scale="1 0.1 1"/>
            </node>
        </fillPlane>
		<fillPlane type="wheat_windrow">
            <node index="0>7|0|6|6">
				<key time="0" y="0" scale="0.88 0 1"/>
                <key time="0.148" y="0" scale="1 0.148 1"/>
				<key time="0.9" y="0" scale="1 0.9 1"/>
                <key time="1" y="0" scale="1.021 1 1"/>
            </node>
			<node index="0>7|0|8">
				<key time="0" y="0.321" scale="1 0.1 1"/>
				<key time="0.9" y="0.321" scale="1 0.9 1"/>
                <key time="1" y="0.321" scale="1 0.1 1"/>
            </node>
        </fillPlane>
		<fillPlane type="barley_windrow">
            <node index="0>7|0|6|6">
				<key time="0" y="0" scale="0.88 0 1"/>
                <key time="0.148" y="0" scale="1 0.148 1"/>
				<key time="0.9" y="0" scale="1 0.9 1"/>
                <key time="1" y="0" scale="1.021 1 1"/>
            </node>
			<node index="0>7|0|8">
				<key time="0" y="0.321" scale="1 0.1 1"/>
				<key time="0.9" y="0.321" scale="1 0.9 1"/>
                <key time="1" y="0.321" scale="1 0.1 1"/>
            </node>
        </fillPlane>
		<fillPlane type="grass_windrow">
            <node index="0>7|0|6|7">
				<key time="0" y="0" scale="0.88 0 1"/>
                <key time="0.148" y="0" scale="1 0.148 1"/>
				<key time="0.9" y="0" scale="1 0.9 1"/>
                <key time="1" y="0" scale="1.021 1 1"/>
            </node>
			<node index="0>7|0|8">
				<key time="0" y="0.321" scale="1 0.1 1"/>
				<key time="0.9" y="0.321" scale="1 0.9 1"/>
                <key time="1" y="0.321" scale="1 0.1 1"/>
            </node>
        </fillPlane>
		<fillPlane type="dryGrass_windrow">
            <node index="0>7|0|6|7">
				<key time="0" y="0" scale="0.88 0 1"/>
                <key time="0.148" y="0" scale="1 0.148 1"/>
				<key time="0.9" y="0" scale="1 0.9 1"/>
                <key time="1" y="0" scale="1.021 1 1"/>
            </node>
			<node index="0>7|0|8">
				<key time="0" y="0.321" scale="1 0.1 1"/>
				<key time="0.9" y="0.321" scale="1 0.9 1"/>
                <key time="1" y="0.321" scale="1 0.1 1"/>
            </node>
        </fillPlane>
		<fillPlane type="forage">
            <node index="0>7|0|6|8">
				<key time="0" y="0" scale="0.88 0 1"/>
                <key time="0.148" y="0" scale="1 0.148 1"/>
				<key time="0.9" y="0" scale="1 0.9 1"/>
                <key time="1" y="0" scale="1.021 1 1"/>
            </node>
			<node index="0>7|0|8">
				<key time="0" y="0.321" scale="1 0.1 1"/>
				<key time="0.9" y="0.321" scale="1 0.9 1"/>
                <key time="1" y="0.321" scale="1 0.1 1"/>
            </node>
        </fillPlane>
		<fillPlane type="manure">
            <node index="0>7|0|6|9">
				<key time="0" y="0" scale="0.88 0 1"/>
                <key time="0.148" y="0" scale="1 0.148 1"/>
				<key time="0.9" y="0" scale="1 0.9 1"/>
                <key time="1" y="0" scale="1.021 1 1"/>
            </node>
			<node index="0>7|0|8">
				<key time="0" y="0.321" scale="1 0.1 1"/>
				<key time="0.9" y="0.321" scale="1 0.9 1"/>
                <key time="1" y="0.321" scale="1 0.1 1"/>
            </node>
        </fillPlane>
		<fillPlane type="silage">
            <node index="0>7|0|6|10">
				<key time="0" y="0" scale="0.88 0 1"/>
                <key time="0.148" y="0" scale="1 0.148 1"/>
				<key time="0.9" y="0" scale="1 0.9 1"/>
                <key time="1" y="0" scale="1.021 1 1"/>
            </node>
			<node index="0>7|0|8">
				<key time="0" y="0.321" scale="1 0.1 1"/>
				<key time="0.9" y="0.321" scale="1 0.9 1"/>
                <key time="1" y="0.321" scale="1 0.1 1"/>
            </node>
        </fillPlane>
    </fillPlanes>
	</node>
	</variableBody> 
	<!--Variable Body Ende-->

    <hydraulicSound file="$data/vehicles/steerable/deutz/hydraulicUp.wav" pitchOffset="0.9" volume="1.0" />
    <fillSound file="$data/maps/sounds/siloFillSound.wav" pitchOffset="1.0" volume="1.5" />
    <attacherJoint index="0>4" jointType="trailerLow"/>
    <trailerAttacherJoints>
        <trailerAttacherJoint index="0>5" low="false" maxRotLimit="10 80 80" />
    </trailerAttacherJoints>

    <tipReferencePoints>
        <tipReferencePoint index="0>6|0" width="2.5" />
        <tipReferencePoint index="0>6|0" width="0.5" />
		<tipReferencePoint index="0>6|1" width="5" />
    </tipReferencePoints>

    <tipAnimations>
        <tipAnimation speedScale="1" animationName="tipAnimationBack" dischargeStartTime="1.5" dischargeEndTime="13" >
            <dischargeParticleSystems>
                <dischargeParticleSystem type="wheat" node="0>7|0|8" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/trailerDPSBig.i3d" />
                <dischargeParticleSystem type="maize" node="0>7|0|8" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/trailerDPSBig.i3d" />
                <dischargeParticleSystem type="barley" node="0>7|0|8" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/trailerDPSBig.i3d" />
                <dischargeParticleSystem type="oat" node="0>7|0|8" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/trailerDPSBig.i3d" />
                <dischargeParticleSystem type="rye" node="0>7|0|8" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/trailerDPSBig.i3d" />
                <dischargeParticleSystem type="rape" node="0>7|0|8" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/trailerDPSBigRape.i3d" />
                <dischargeParticleSystem type="sunflower" node="0>7|0|8" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/trailerDPSBigRape.i3d" />
                <dischargeParticleSystem type="chaff" node="0>7|0|8" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/trailerDPSBigChaff.i3d" />
				<dischargeParticleSystem type="potato" node="0>7|0|8" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/trailerDPSBigPotato.i3d" />
                <dischargeParticleSystem type="sugarBeet" node="0>7|0|8" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/trailerDPSBigSugarBeet.i3d" />
				<dischargeParticleSystem type="manure" node="0>7|0|8" position="0 0 0" rotation="20 180 0" file="PSystem/trailerDPSBigManure.i3d" />
				<dischargeParticleSystem type="forage" node="0>7|0|8" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/trailerDPSBigChaff.i3d" />
				<dischargeParticleSystem type="silage" node="0>7|0|8" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/trailerDPSBigChaff.i3d" />
				<dischargeParticleSystem type="grass_windrow" node="0>7|0|8" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/trailerDPSBigGrass.i3d" />
				<dischargeParticleSystem type="dryGrass_windrow" node="0>7|0|8" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/trailerDPSBigGrass.i3d" />
				<dischargeParticleSystem type="wheat_windrow" node="0>7|0|8" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/trailerDPSBigStraw.i3d" />
				<dischargeParticleSystem type="barley_windrow" node="0>7|0|8" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/trailerDPSBigStraw.i3d" />
            </dischargeParticleSystems>
        </tipAnimation>
        <tipAnimation speedScale="1" closeSpeedScale="-3" animationName="tipAnimationGrainDoor" dischargeStartTime="0.3" dischargeEndTime="40" >
            <dischargeParticleSystems>
                <dischargeParticleSystem type="wheat" node="0>7|0|2|6" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/trailerDPSSmall.i3d" />
                <dischargeParticleSystem type="maize" node="0>7|0|2|6" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/trailerDPSSmall.i3d" />
                <dischargeParticleSystem type="barley" node="0>7|0|2|6" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/trailerDPSSmall.i3d" />
                <dischargeParticleSystem type="oat" node="0>7|0|2|6" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/trailerDPSSmall.i3d" />
                <dischargeParticleSystem type="rye" node="0>7|0|2|6" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/trailerDPSSmall.i3d" />
                <dischargeParticleSystem type="rape" node="0>7|0|2|6" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/trailerDPSSmallRape.i3d" />
                <dischargeParticleSystem type="sunflower" node="0>7|0|2|6" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/trailerDPSSmallRape.i3d" />
                <dischargeParticleSystem type="chaff" node="0>7|0|2|6" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/trailerDPSSmallChaff.i3d" />
				<dischargeParticleSystem type="potato" node="0>7|0|2|6" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/trailerDPSSmallPotato.i3d" />
				<dischargeParticleSystem type="sugarBeet" node="0>7|0|2|6" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/trailerDPSSmallSugarBeet.i3d" />
				<dischargeParticleSystem type="manure" node="0>7|0|2|6" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/trailerDPSSmall.i3d" />
				<dischargeParticleSystem type="forage" node="0>7|0|2|6" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/trailerDPSSmallChaff.i3d" />
				<dischargeParticleSystem type="silage" node="0>7|0|2|6" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/trailerDPSSmallChaff.i3d" />
				<dischargeParticleSystem type="grass_windrow" node="0>7|0|2|6" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/trailerDPSSmallGrass.i3d" />
				<dischargeParticleSystem type="dryGrass_windrow" node="0>7|0|2|6" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/trailerDPSSmallGrass.i3d" />
				<dischargeParticleSystem type="wheat_windrow" node="0>7|0|2|6" position="0 0 0" rotation="0 0 0" file="PSystem/trailerDPSSmallStrow.i3d" />
				<dischargeParticleSystem type="barley_windrow" node="0>7|0|2|6" position="0 0 0" rotation="0 0 0" file="PSystem/trailerDPSSmallStrow.i3d" />
            </dischargeParticleSystems>
        </tipAnimation>
		<tipAnimation speedScale="1" animationName="tipAnimationSide" dischargeStartTime="0" dischargeEndTime="12">
            <dischargeParticleSystems>
                <dischargeParticleSystem type="wheat" node="0>7|0|9" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/krampeBBS650SideDPS.i3d" />
                <dischargeParticleSystem type="maize" node="0>7|0|9" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/krampeBBS650SideDPS.i3d" />
                <dischargeParticleSystem type="barley" node="0>7|0|9" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/krampeBBS650SideDPS.i3d" />
                <dischargeParticleSystem type="oat" node="0>7|0|9" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/krampeBBS650SideDPS.i3d" />
                <dischargeParticleSystem type="rye" node="0>7|0|9" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/krampeBBS650SideDPS.i3d" />
                <dischargeParticleSystem type="rape" node="0>7|0|9" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/krampeBBS650SideDPSRape.i3d" />
                <dischargeParticleSystem type="sunflower" node="0>7|0|9" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/krampeBBS650SideDPSRape.i3d" />
                <dischargeParticleSystem type="chaff" node="0>7|0|9" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/krampeBBS650SideDPSChaff.i3d" />
				<dischargeParticleSystem type="potato" node="0>7|0|9" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/krampeBBS650SideDPSPotato.i3d" />
                <dischargeParticleSystem type="sugarBeet" node="0>7|0|9" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/krampeBBS650SideDPSSugarBeet.i3d" />
				<dischargeParticleSystem type="manure" node="0>7|0|9" position="0 0 0" rotation="20 90 0" file="PSystem/kroegerHKDSideDPSManure.i3d" />
				<dischargeParticleSystem type="forage" node="0>7|0|9" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/kroegerHKDSideDPSChaff.i3d" />
				<dischargeParticleSystem type="silage" node="0>7|0|9" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/kroegerHKDSideDPSChaff.i3d" />
				<dischargeParticleSystem type="grass_windrow" node="0>7|0|9" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/kroegerHKDSideDPSGrass.i3d" />
				<dischargeParticleSystem type="dryGrass_windrow" node="0>7|0|9" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/kroegerHKDSideDPSGrass.i3d" />
				<dischargeParticleSystem type="wheat_windrow" node="0>7|0|9" position="0 0 0" rotation="0 0 0" file="PSystem/kroegerHKDSideDPSStrow.i3d" />
				<dischargeParticleSystem type="barley_windrow" node="0>7|0|9" position="0 0 0" rotation="0 0 0" file="PSystem/kroegerHKDSideDPSStrow.i3d" />
            </dischargeParticleSystems>
        </tipAnimation>
    </tipAnimations>

    <fillRootNode index="0>" />
    <exactFillRootNode index="0>10" />
    <fillAutoAimTargetNode index="0>11" />
    <fillMassNode index="0>" />

    <fillTypes fruitTypes="wheat rape maize barley chaff potato sugarBeet manure oat rye sunflower forage silage barley_windrow wheat_windrow grass_windrow dryGrass_windrow"/>

    <movingTools>
        <!-- support -->
        <movingTool index="0>8|4" componentJointIndex="0" anchorActor="0"/>
		<!-- sideTipping -->
		<movingTool index="0>7">
            <dependentPart index="0>8|5" />
        </movingTool>
		<!-- backTipping -->
		<movingTool index="0>7|0|1">
            <dependentPart index="0>7|0|1|0" />
        </movingTool>

		<movingTool index="0>7|0">
            <dependentPart index="0>8|5|0" />
        </movingTool>

		<movingTool index="0>7|0|2">
            <dependentPart index="0>7|0|1|0" />
        </movingTool>
		<movingTool index="0>7|0|2|2">
            <dependentPart index="0>7|0|2|2|0" />
        </movingTool>
    </movingTools>

    <movingParts>  
        <movingPart index="0>7|0|1|0" referencePoint="0>7|0|2|5" referenceFrame="0>">
            <translatingPart index="0>7|0|1|0|0" />
        </movingPart>
		<movingPart index="0>7|0|2|2|0" referencePoint="0>7|0|2|4|0|0" referenceFrame="0>7|0|2|2|1"/>
		<movingPart index="0>8|5" referencePoint="0>7|0|7" referenceFrame="0>8|8">
            <translatingPart index="0>8|5|0|0" />
        </movingPart>
		<movingPart index="0>8|5|0" referencePoint="0>7|0|7" referenceFrame="0>8|8" lockAxis="3">
            <translatingPart index="0>8|5|0|0" />
			<translatingPart index="0>8|5|0|0|0" />
			<translatingPart index="0>8|5|0|0|0|0" />
			<translatingPart index="0>8|5|0|0|0|0|0" />
			<translatingPart index="0>8|5|0|0|0|0|0|0" />
			<translatingPart index="0>8|5|0|0|0|0|0|0|0" />
        </movingPart>
		<movingPart index="0>8|5" referencePoint="0>7|0|7" referenceFrame="0>8|8" lockAxis="1"/>
    </movingParts>

    <animations>
		<!-- backtipping -->
		<animation name="tipAnimationBack">
			<part node="0>7|0|1" startTime="0" endTime="0.9" startRot="0 0 0" endRot="-15 0 0" />
            <part node="0>7|0|2" startTime="1" endTime="4" startRot="0 0 0" endRot="63 0 0" />
			<part node="0>7|0" startTime="3" endTime="13" startRot="0 0 0" endRot="-51 0 0" />
        </animation>
		<!-- backtipping with opened graindoor -->
		<animation name="tipAnimationGrainDoor">
            <part node="0>7|0|2|4|0" startTime="0" endTime="0.6" startTrans="0 -0.136 0" endTrans="0 0.21 0" />
			<part node="0>7|0|2|2" startTime="0" endTime="0.6" startRot="0 0 0" endRot="0 0 60" />
			<part node="0>7|0" startTime="7" endTime="35" startRot="0 0 0" endRot="-51 0 0" />
        </animation>
		<!-- sidetipping -->
		<animation name="tipAnimationSide">
            <part node="0>7|0|5" startTime="0" endTime="0.4" startRot="0 0 0" endRot="0 0 66" />
			<part node="0>7" startTime="0.4" endTime="7.4" startRot="0 0 0" endRot="0 0 -35" />
        </animation>
        <!-- move support wheel down/up -->
        <animation name="moveSupport">
			<part node="0>0|1" startTime="0" endTime="0.05" visibility="false" />
			<part node="0>9" startTime="0" endTime="0.05" visibility="true" />
			<part node="0>0|1" startTime="0.05" endTime="0.1" visibility="true" />
			<part node="0>9" startTime="0.05" endTime="0.1" visibility="false" />
            <part node="0>8|4" startTime="0" endTime="0.1" startTrans="-0.15236 0.67087 2.70159" endTrans="-0.15236 0.24803 2.70159" />
        </animation>
    </animations>

    <support animationName="moveSupport" />

    <components count="2">
        <component1 centerOfMass="0 0.2 -1" solverIterationCount="15" />
        <component2 solverIterationCount="15" />
        <joint component1="0" component2="1" index="0>8|4|0" rotLimit="0 0 0" transLimit="0 0 0" />
    </components>

    <schemaOverlay file="schemas/krampe_UnSelected.png" fileSelected="schemas/krampe_Selected.png" width="0.5" height="0.5" attacherJointPosition="0 0">
        <attacherJoint position="0.5 0" rotation="0" invertX="false" />
    </schemaOverlay>
	
	<wheelParticleSystems file="PSystem/wheelParticleSystem.i3d" >
        <wheelParticleSystem node="12|0"/>
        <wheelParticleSystem node="12|1"/>
        <wheelParticleSystem node="12|2"/>
	    <wheelParticleSystem node="12|3"/>
    </wheelParticleSystems>
	
	<drivingParticles threshold="0.005">
	    <drivingParticle position="1 -0.2 -1.2" rotation="0 0 0" file="PSystem/dustParticleSystem.i3d" wheel="1" minSpeed="5" maxSpeed="50"/>
	    <drivingParticle position="-1 -0.2 -1.2" rotation="0 0 0" file="PSystem/dustParticleSystem.i3d" wheel="2" minSpeed="5" maxSpeed="50"/>
        <drivingParticle position="1 -0.2 -2.8	" rotation="0 0 0" file="PSystem/dustParticleSystem.i3d" wheel="3" minSpeed="5" maxSpeed="50"/>
        <drivingParticle position="-1 -0.2 -2.8" rotation="0 0 0" file="PSystem/dustParticleSystem.i3d" wheel="4" minSpeed="5" maxSpeed="50"/>
    </drivingParticles>

</vehicle>
